Issue #6 new

Update required for Django 1.5 -- use settings.AUTH_USER_MODEL

Anonymous created an issue

Hey,

I noticed in the model.py file that django.contrib.auth.models.User is used for the ForeignKey relations. This causes problems however if you extend the custom user as it is possible in Django 1.5 because then this is referencing the wrong user (should use settings.AUTH_USER_MODEL). Would it be possible to check the Django version and then, if it is >=1.5, use settings.AUTH_USER_MODEL for the relations instead?

Thanks!

Comments (0)

  1. Log in to comment